#!/bin/bash
NPING_VERSION=`grep '^\#[ \t]*define[ \t]\+NPING_VERSION' ../nping.h | sed -e 's/.*"\(.*\)".*/\1/' -e 'q'`
RELEASE_DATE=`date +"%b %d, %Y"`
# Now we should be in nmap-exp/luis/nping/nping-priv/
NPINGCURRENTDIR=`pwd`


# Determine absolute path to tarball directory
cd $NPINGCURRENTDIR
cd ../tarballs
NPINGTARBALLDIR=`pwd`
cd $NPINGCURRENTDIR

# Determine absolute path to windows installer directory
cd $NPINGCURRENTDIR
cd ../mswin32/nsis
NPINGWININSTDIR=`pwd`
cd $NPINGCURRENTDIR

# Determine absolute path to web directory
cd $NPINGCURRENTDIR
cd ../../../../web/nmap/nping/
NPINGWEBDIR=`pwd`
cd $NPINGCURRENTDIR

# Determine absolute path to Mac OS X stuff dir
cd $NPINGCURRENTDIR
cd ../macosx
MACOSXSTUFFDIR=`pwd`
cd $NPINGCURRENTDIR


echo "[+] Setting current version number"
cd $NPINGWEBDIR 
sed "s/__CURRENT_VERSION_NUMBER__/$NPING_VERSION/g" index.html.template > index.html.A
cd $NPINGCURRENTDIR

echo "[+] Setting date"
cd $NPINGWEBDIR 
sed "s/__TARBALL_RELEASE_DATE__/$RELEASE_DATE/g" index.html.A > index.html.B
sed "s/__INSTALLERWIN__RELEASE_DATE__/$RELEASE_DATE/g" index.html.B > index.html.A
sed "s/__INSTALLERMAC__RELEASE_DATE__/$RELEASE_DATE/g" index.html.A > index.html.B
cd $NPINGCURRENTDIR


echo "[+]Copying tarball and installers to web directory"
cd $NPINGWEBDIR
rm -rf   dist/nping-$NPING_VERSION/*.tar.gz.md5
rm -rf   dist/nping-$NPING_VERSION/*.tar.gz.sha256
rm -rf   dist/nping-$NPING_VERSION/*.tar.gz
rm -rf   dist/nping-$NPING_VERSION/*.exe.md5
rm -rf   dist/nping-$NPING_VERSION/*.exe.sha256
rm -rf   dist/nping-$NPING_VERSION/*.exe
mkdir -p dist/nping-$NPING_VERSION
cd $NPINGCURRENTDIR


cp $NPINGTARBALLDIR/nping-$NPING_VERSION.tar.gz           $NPINGWEBDIR/dist/nping-$NPING_VERSION/nping-$NPING_VERSION.tar.gz
cp $NPINGTARBALLDIR/nping-$NPING_VERSION.tar.gz.md5       $NPINGWEBDIR/dist/nping-$NPING_VERSION/nping-$NPING_VERSION.tar.gz.md5
cp $NPINGTARBALLDIR/nping-$NPING_VERSION.tar.gz.sha256    $NPINGWEBDIR/dist/nping-$NPING_VERSION/nping-$NPING_VERSION.tar.gz.sha256
cp $NPINGWININSTDIR/nping-$NPING_VERSION-setup.exe        $NPINGWEBDIR/dist/nping-$NPING_VERSION/nping-$NPING_VERSION-setup.exe
cp $NPINGWININSTDIR/nping-$NPING_VERSION-setup.exe.md5    $NPINGWEBDIR/dist/nping-$NPING_VERSION/nping-$NPING_VERSION-setup.exe.md5
cp $NPINGWININSTDIR/nping-$NPING_VERSION-setup.exe.sha256 $NPINGWEBDIR/dist/nping-$NPING_VERSION/nping-$NPING_VERSION-setup.exe.sha256
cp $MACOSXSTUFFDIR/nping-$NPING_VERSION.dmg               $NPINGWEBDIR/dist/nping-$NPING_VERSION/nping-$NPING_VERSION.dmg
cp $MACOSXSTUFFDIR/nping-$NPING_VERSION.dmg.md5           $NPINGWEBDIR/dist/nping-$NPING_VERSION/nping-$NPING_VERSION.dmg.md5
cp $MACOSXSTUFFDIR/nping-$NPING_VERSION.dmg.sha256        $NPINGWEBDIR/dist/nping-$NPING_VERSION/nping-$NPING_VERSION.dmg.sha256


echo "[+] Setting MD5 and SHA256 checksums"
cd $NPINGWEBDIR

TARBALL_MD5=`sed -e 's/ .*//' dist/nping-$NPING_VERSION/nping-$NPING_VERSION.tar.gz.md5`
TARBALL_SHA256=`sed -e 's/ .*//' dist/nping-$NPING_VERSION/nping-$NPING_VERSION.tar.gz.sha256`
sed "s/__TARBALL_MD5SUM__/$TARBALL_MD5/g" index.html.B > index.html.A 
sed "s/__TARBALL_SHA256SUM__/$TARBALL_SHA256/g" index.html.A > index.html.B

WIN_MD5=`sed -e 's/ .*//' dist/nping-$NPING_VERSION/nping-$NPING_VERSION-setup.exe.md5`
WIN_SHA256=`sed -e 's/ .*//' dist/nping-$NPING_VERSION/nping-$NPING_VERSION-setup.exe.sha256`
sed "s/__INSTALLERWIN_MD5SUM__/$WIN_MD5/g" index.html.B > index.html.A 
sed "s/__INSTALLERWIN_SHA256SUM__/$WIN_SHA256/g" index.html.A > index.html.B

MAC_MD5=`sed -e 's/ .*//' dist/nping-$NPING_VERSION/nping-$NPING_VERSION.dmg.md5`
MAC_SHA256=`sed -e 's/ .*//' dist/nping-$NPING_VERSION/nping-$NPING_VERSION.dmg.sha256`
sed "s/__INSTALLERMAC_MD5SUM__/$MAC_MD5/g" index.html.B > index.html.A 
sed "s/__INSTALLERMAC_SHA256SUM__/$MAC_SHA256/g" index.html.A > index.html


echo "[+] Removing temp files"
rm -rf index.html.A index.html.B 
cd $NPINGCURRENTDIR

echo "[+] Web updated successfully"



